@echo off 
setlocal EnableDelayedExpansion

rem Check to number of arguments
if "%1" == "" goto usage

set source_path=%1
set target_path=%2

if ("%2" == "") (
  set target_path=.
)

for /f "delims=" %%a in ('dir /b "%source_path%"') do (
  set wav_file=%%~na.wav
  echo converting %%a to !wav_file!
  cas2wav -r 11025 "%source_path%\%%a" "%target_path%\!wav_file!"
)

goto end

:usage

echo Usage: %0 source-path target-path
echo.

:end
